Loading...
Searching...
No Matches
obround.h
Go to the documentation of this file.
#ifndef ARC_MATH_OBROUND_H_
#define ARC_MATH_OBROUND_H_
#include <stdint.h>
#ifdef __cplusplus
extern "C" {
#endif
typedef struct ARC_Obround {
int32_t x;
int32_t y;
int32_t r;
int32_t h;
} ARC_Obround;
typedef struct ARC_FObround {
float x;
float y;
float r;
float h;
} ARC_FObround;
/**
* @brief casts Obround to FObround
*
* @param obround ARC_Obround to be casted
*
* @return ARC_FObround
*/
ARC_FObround ARC_Obround_CastToFObround(ARC_Obround *obround);
/**
* @brief casts FObround to Obround
*
* @param obround ARC_FObround to be casted
*
* @return ARC_Obround
*/
ARC_Obround ARC_FObround_CastToObround(ARC_FObround *obround);
#ifdef __cplusplus
}
#endif
#endif // ARC_MATH_OBROUND_H_
ARC_Obround
struct ARC_Obround ARC_Obround
ARC_FObround
struct ARC_FObround ARC_FObround
ARC_FObround_CastToObround
ARC_Obround ARC_FObround_CastToObround(ARC_FObround *obround)
casts FObround to Obround
ARC_Obround_CastToFObround
ARC_FObround ARC_Obround_CastToFObround(ARC_Obround *obround)
casts Obround to FObround
ARC_FObround
Definition obround.h:17
ARC_FObround::y
float y
Definition obround.h:19
ARC_FObround::h
float h
Definition obround.h:21
ARC_FObround::x
float x
Definition obround.h:18
ARC_FObround::r
float r
Definition obround.h:20
ARC_Obround
Definition obround.h:10
ARC_Obround::r
int32_t r
Definition obround.h:13
ARC_Obround::x
int32_t x
Definition obround.h:11
ARC_Obround::y
int32_t y
Definition obround.h:12
ARC_Obround::h
int32_t h
Definition obround.h:14